# InventorySlotCompound

interface InventorySlotCompound<out T : ForInventory>
Content copied to clipboard

## Functions

realSlotsWithInvType
Link copied to clipboard
open fun realSlotsWithInvType(invType: GUIType<T>): List<Int>
Content copied to clipboard
withInvType
Link copied to clipboard
abstract fun withInvType(invType: GUIType<T>): Collection<InventorySlot>
Content copied to clipboard

## Inheritors

SingleInventorySlot
Link copied to clipboard
InventorySlotRange
Link copied to clipboard
InventoryRowSlots
Link copied to clipboard
InventoryColumnSlots
Link copied to clipboard
InventoryBorderSlots
Link copied to clipboard
InventoryCornerSlots
Link copied to clipboard
InventoryAllSlots
Link copied to clipboard